TON DocsTON Docs
OnboardingNodesApplicationsAPIsContractsSmart contractsTolkTolk languageTVMTON Virtual MachineFoundationsBlockchain foundations

Get validator accounting events from nominator pools

GET
/api/v3/staking/nominatorPools/validatorEvents

Return validator accounting events from nominator pools, optionally filtered by validator, pool, event type, and time range.

Authorization

X-API-Key<token>

API key header of the form X-API-Key: <token>, where <token> is the API key. Requests without a key are limited to 1 RPS. Refer to the authentication guide for details.

In: header

Query Parameters

validator?string

Validator address in any form.

pool?string

Pool address in any form.

type?string

Filter by event type: reward, penalty, deposit, or withdrawal.

start_utime?integer

Query events with a timestamp at or after the specified timestamp.

end_utime?integer

Query events with a timestamp at or before the specified timestamp.

limit?integer

Limit the number of rows to return.

Response Body

application/json

application/json

application/json

curl -X GET "https://example.com/api/v3/staking/nominatorPools/validatorEvents"
{
  "address_book": {
    "property1": {
      "domain": "string",
      "interfaces": [
        "string"
      ],
      "user_friendly": "string"
    },
    "property2": {
      "domain": "string",
      "interfaces": [
        "string"
      ],
      "user_friendly": "string"
    }
  },
  "end_utime": 0,
  "events": [
    {
      "amount": "string",
      "balance_after": "string",
      "balance_before": "string",
      "balance_delta": "string",
      "cycle_start": 0,
      "pool_address": "string",
      "query_id": "string",
      "tx_hash": "string",
      "tx_lt": "0",
      "type": "reward",
      "utime": 0,
      "validator_address": "string",
      "validator_reward_share": 0
    }
  ],
  "start_utime": 0
}
{
  "error": "string"
}
{
  "error": "string"
}